Subject: Re: [bug#42582] [PATCH] gnu: nomad: Update to 0.2.0-alpha.

From: Mike Rosset <[email-masked]>
Date: Sat, 01 Aug 2020 08:33:53 -0700

Mathieu Othacehe writes:

> Hello Mike,
>
>> * gnu/packages/guile-xyz.scm (nomad): Update to 0.2.0-alpha.
>
> Thanks for this patch. When I'm trying to run nomad, I have the
> following error:
>
> --8<---------------cut here---------------start------------->8---
> In nomad/gtk/window.scm:
>      19:0 19 (_)
> In ice-9/boot-9.scm:
>    2874:4 18 (define-module* _ #:filename _ #:pure _ #:version _ # _ …)
>   2887:24 17 (_)
>    222:29 16 (map1 (((nomad gtk gi)) ((srfi srfi-26)) ((oop #)) (#) …))
>    222:29 15 (map1 (((srfi srfi-26)) ((oop goops)) ((emacsy #)) (#) …))
>    222:29 14 (map1 (((oop goops)) ((emacsy emacsy)) ((emacsy #)) # …))
>    222:29 13 (map1 (((emacsy emacsy)) ((emacsy window)) ((nomad …)) …))
>    222:29 12 (map1 (((emacsy window)) ((nomad web)) ((nomad text)) …))
>    222:29 11 (map1 (((nomad web)) ((nomad text)) ((nomad gtk #)) # …))
>    222:29 10 (map1 (((nomad text)) ((nomad gtk widget)) ((nomad …)) …))
>    222:17  9 (map1 (((nomad gtk widget)) ((nomad gtk frame)) ((…)) #))
>   2800:17  8 (resolve-interface (nomad gtk widget) #:select _ #:hide …)
> In ice-9/threads.scm:
>     390:8  7 (_ _)
> In ice-9/boot-9.scm:
>   2726:13  6 (_)
> In ice-9/threads.scm:
>     390:8  5 (_ _)
> In ice-9/boot-9.scm:
>   2994:20  4 (_)
>    2312:4  3 (save-module-excursion #<procedure 7f7138864690 at ice-…>)
>   3014:26  2 (_)
> In unknown file:
>            1 (primitive-load-path "nomad/gtk/widget" #<procedure 7f7…>)
> In nomad/gtk/widget.scm:
>      60:0  0 (_)
>
> nomad/gtk/widget.scm:60:0: In procedure module-lookup: Unbound variable: <gtk-source-view>
> --8<---------------cut here---------------end--------------->8---
>
> do you know why?
>
> Thanks,
>
> Mathieu

Hello Mathieu,

A number of things could be causing this either gtksourceview is not
being propagated or there could be a problem with g-golf. Or how you are
invoking nomad.

Please try with ./pre-inst-env nomad --ad-hoc nomad -- nonmad. This is
assuming you have patched guile-xyz.scm locally in the guix source tree.

Let me know how it goes.

Mike